This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 562

Summary: Add vector-wise normalized and normalize functions
Product: Eigen Reporter: Gael Guennebaud <gael.guennebaud>
Component: Core - generalAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Unknown CC: gael.guennebaud, jacob.benoit.1
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 387    

Description Gael Guennebaud 2013-03-07 21:16:45 UTC
Everything is in the title, we need to be able to do things like:

a.colwise().normalize();
b = a.rowwise().normalized();

which are very frequent. See for instance http://forum.kde.org/viewtopic.php?f=74&t=95000.
Comment 1 Gael Guennebaud 2013-04-09 11:13:56 UTC
https://bitbucket.org/eigen/eigen/commits/2c41ae0178e2/
Changeset:   2c41ae0178e2
User:        ggael
Date:        2013-04-09 11:12:35
Summary:     Fix bug 562: add vector-wise normalized and normalize functions
Comment 2 Nobody 2019-12-04 12:08:22 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/562.